Loading...
Searching...
No Matches
mbedtls_psa_hash_operation_t Struct Reference

`#include <crypto_builtin_primitives.h>`

Collaboration diagram for mbedtls_psa_hash_operation_t:
[legend]

## Data Fields

psa_algorithm_t | private_alg
union { |
unsigned dummy |
mbedtls_md5_context md5 |
mbedtls_ripemd160_context ripemd160 |
mbedtls_sha1_context sha1 |
mbedtls_sha256_context sha256 |
mbedtls_sha512_context sha512 |
mbedtls_sha3_context sha3 |
} | private_ctx

## Detailed Description

Definition at line 52 of file crypto_builtin_primitives.h.

## Field Documentation

## dummy

unsigned mbedtls_psa_hash_operation_t::dummy

Definition at line 55 of file crypto_builtin_primitives.h.

## md5

mbedtls_md5_context mbedtls_psa_hash_operation_t::md5

Definition at line 57 of file crypto_builtin_primitives.h.

## private_alg

psa_algorithm_t mbedtls_psa_hash_operation_t::private_alg

Definition at line 53 of file crypto_builtin_primitives.h.

## [union]

union { ... } mbedtls_psa_hash_operation_t::private_ctx

## ripemd160

mbedtls_ripemd160_context mbedtls_psa_hash_operation_t::ripemd160

Definition at line 60 of file crypto_builtin_primitives.h.

## sha1

mbedtls_sha1_context mbedtls_psa_hash_operation_t::sha1

Definition at line 63 of file crypto_builtin_primitives.h.

## sha256

mbedtls_sha256_context mbedtls_psa_hash_operation_t::sha256

Definition at line 67 of file crypto_builtin_primitives.h.

## sha3

mbedtls_sha3_context mbedtls_psa_hash_operation_t::sha3

Definition at line 77 of file crypto_builtin_primitives.h.

## sha512

mbedtls_sha512_context mbedtls_psa_hash_operation_t::sha512

Definition at line 71 of file crypto_builtin_primitives.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_primitives.h